package com.eactive.eai.batch.osd; 

import java.io.Serializable;

/**
 * TSEAIBJ05 테이블 내용
 */
public class OutsideLinkVO implements Serializable
{ 
	private static final long serialVersionUID = 1L;
	String sysLinkCode;     //SysLnkgDstcd
    String batchCode;       //BjobBzwkDstcd
    String osdCode;         //OsidInstiDstcd
    String reqResCode;      //RqstRspnsDstcd 송수신구분코드
    String linkIP;          //LnkgIPInfoName
    String linkPort;        //LnkgPortInfoName
    String userID;          //LnkgID
    String pwd;             //LnkgPwd
    int    toVal;           //ToutVal          //Timeout
    String linkStatus;      //TCirtLnkgStusCd
    String adpGroupName;    //AdptrBzwkGroupName 어댑터 그룹이름
    String adpName;         //AdptrBzwkName 어댑터 이름
    
    public String getSyslinkCode() {
        return this.sysLinkCode;
    }
    public void setSyslinkCode(String sysLinkCode) {
        this.sysLinkCode = sysLinkCode;
    }
    public String getBatchCode() {
        return this.batchCode;
    }
    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }
    public String getOsdCode() {
        return this.osdCode;
    }
    public void setOsdCode(String osdCode) {
        this.osdCode = osdCode.trim();
    }
    public String getReqResCode() {
        return this.reqResCode;
    }
    public void setReqResCode(String reqResCode) {
        this.reqResCode = reqResCode;
    }
    public String getLinkIP() {
        return this.linkIP;
    }
    public void setLinkIP(String linkIP) {
        this.linkIP = linkIP;
    }
    public String getLinkPort() {
        return this.linkPort;
    }
    public void setLinkPort(String linkPort) {
        this.linkPort = linkPort;
    }
    public String getUserID() {
        return this.userID;
    }
    public void setUserID(String userID) {
        this.userID = userID;
    }
    public String getPwd() {
        return this.pwd;
    }
    public void setPwd(String pwd) {
        this.pwd = pwd;
    }
    public int getToVal() {
        return this.toVal;
    }
    public void setToVal(int toVal) {
        this.toVal = toVal;
    }
    public String getLinkStatus() {
        return this.linkStatus;
    }
    public void setLinkStatus(String linkStatus) {
        this.linkStatus = linkStatus;
    }
    public String getAdpGroupName() {
        return this.adpGroupName;
    }
    public void setAdpGroupName(String adpGroupName) {
        this.adpGroupName = adpGroupName;
    }
    public String getAdpName() {
        return this.adpName;
    }
    public void setAdpName(String adpName) {
        this.adpName = adpName;
    }
} 
